Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class RibbonIterator

    java.lang.Object
      com.bbn.openmap.geo.RibbonIterator

public class RibbonIterator
extends java.lang.Object

Iterate along a sequence of Ribbons. A Ribbon is a three Geo set, with a RIGHT, CENTER and LEFT Geo in the Ribbon. The location of the LEFT and RIGHT Geo are perpendicular to the great circle path that the CENTER Geo resides on.

Field Summary
`protected double` | `distance`
`protected Geo` | `gc`
`protected boolean` | `hasNext`
`protected Geo` | `point`
`protected double` | `radius`
`protected Rotation` | `rotator`
`protected Geo` | `v1`
`protected Geo` | `v2`

Constructor Summary
`RibbonIterator(Geo v1, Geo v2, double radius)` Return an iterator that returns Ribbons along the great circle between v1 and v2.

Method Summary
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### v1

    protected Geo v1

### v2

    protected Geo v2

### radius

    protected double radius

### gc

    protected Geo gc

### rotator

    protected Rotation rotator

### point

    protected Geo point

### distance

    protected double distance

### hasNext

    protected boolean hasNext

Constructor Detail

### RibbonIterator

    public RibbonIterator(Geo v1,
                          Geo v2,
                          double radius)

  Return an iterator that returns Ribbons along the great circle between v1 and v2. The Ribbon points are radius radians appart, and each Ribbon is 2*radius appart.

Method Detail

### next

    public java.lang.Object next()

### hasNext

    public boolean hasNext()

### remove

    public void remove()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details